Subject: Re: bug#43299: 28.0.50; message-newline-and-reformat does not insert space after citation prefix

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 10 Sep 2020 23:28:27 +0200

Amin Bandali <[email-masked]> writes:

> Currently, the `message-newline-and-reformat' function (bound to M-RET
> in `message-mode') does not insert an empty space after the citation
> prefix (e.g. '>') when reformatting the lines following the point in a
> common use scenario.  I would like the behaviour to change, or at least
> an option be added to have `message-newline-and-reformat' insert a space
> after each '>'.
>
> Example:
>
>> test0
>>
>> test1 test2 test3 test4 test5 test6 test7 test8 test9 test10 test11 test12

The problem here is that there's no space after that > character.  If it
had been

> test0
> 
> test1 test2 test3 test4 test5 test6 test7 test8 test9 test10 test11 test12

instead (if that trailing space survives the mailing process) then you get

> test0

> 
> test1 test2 test3 test4 test5 test6 test7 test8 test9 test10 test11
> test12

Hm...  OK, I think I found it -- I think there was a reversed check for
the length of the spaces in the following paragraph?  I pushed a fix to
Emacs 28 that seems to fix this use case, but I'm not exactly confident
that this doesn't introduce other oddities.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no